import { EventEmitter } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
export declare enum KEY_CODE {
    UP_ARROW = 38,
    DOWN_ARROW = 40,
    TAB_KEY = 9,
    ENTER_KEY = 13
}
export declare class Ng6ComboBoxComponent implements ControlValueAccessor {
    dataList: Object[];
    propertyName: string;
    buttonClass: string;
    placeholder: string;
    selectItem: EventEmitter<any>;
    textChange: EventEmitter<any>;
    onChange: (_: any) => void;
    onTouched: () => void;
    value: any;
    showDropDown: boolean;
    selectedIndex: number;
    writeValue(val: any): void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    setDisabledState(isDisabled: boolean): void;
    setValue(val: any): void;
    toggleDropDown(): void;
    checkHighlight(index: number): boolean;
    valueSelected(val: any, index: number): void;
    onTextChange(val: any): void;
    onBlur(): void;
    onKeyUp(event: KeyboardEvent): void;
}
